%define upstream_name	 Geography-Countries
%define upstream_version 2009041301

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 7

Summary:	Maps 2-letter, 3-letter, and numerical codes for countries
License:	MIT
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Geography/%{upstream_name}-%{upstream_version}.tar.gz


BuildArch:	noarch


%description
This module maps country names, and their 2-letter, 3-letter and
numerical codes, as defined by the ISO-3166 maintenance agency,
and defined by the UNSD.


%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc Changes README TODO META.yml
%{perl_vendorlib}/Geography
%{_mandir}/*/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 2009041301.0.0-7.mga6
+ Revision: 1027754
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 2009041301.0.0-6.mga6
+ Revision: 947400
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2009041301.0.0-5.mga5
+ Revision: 747697
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2009041301.0.0-4.mga5
+ Revision: 684847
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2009041301.0.0-3.mga4
+ Revision: 511832
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2009041301.0.0-2.mga3
+ Revision: 367666
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 2009041301.0.0-1.mga1
+ Revision: 32759
- mageia rebuild
- imported package perl-Geography-Countries


* Sat Jul 25 2009 Jérôme Quelin <jquelin@mandriva.org> 2009041301.0.0-1mdv2010.1
+ Revision: 399585
- update to 2009041301
- using %%perl_convert_version
- fixed license & source fields

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.4-7mdv2009.1
+ Revision: 351771
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.4-6mdv2009.0
+ Revision: 223768
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4-5mdv2008.1
+ Revision: 180404
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Jan 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.4-4mdv2007.0
+ Revision: 113985
- rebuild
- Import perl-Geography-Countries

* Mon Jan 23 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.4-3mdk
- spe cleanup
- rpmbuildupdate aware
- %%mkrel
- enable tests
- better URL

* Fri Jan 21 2005 Abel Cheung <deaddog@mandrake.org> 1.4-2mdk
- rebuild

